Bug 19664 - Reports sidebar menu should match list of reports on reports home page
Summary: Reports sidebar menu should match list of reports on reports home page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19856
  Show dependency treegraph
 
Reported: 2017-11-21 13:30 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19664: Reports sidebar menu should match list of reports on reports home page (2.37 KB, patch)
2017-11-21 13:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19664: Reports sidebar menu should match list of reports on reports home page (2.43 KB, patch)
2017-11-22 08:48 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19664: Reports sidebar menu should match list of reports on reports home page (2.49 KB, patch)
2017-12-20 07:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-21 13:30:30 UTC
There are a few items on the reports home page which could be added to the reports sidebar menu.
Comment 1 Owen Leonard 2017-11-21 13:36:45 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2017-11-22 08:48:04 UTC
Created attachment 69268 [details] [review]
Bug 19664: Reports sidebar menu should match list of reports on reports home page

This patch makes the reports sidebar menu a little more consistent with
the reports home page menu by adding missing links to reports.

To test, observer the reports sidebar menu before and after the patch
and confirm that missing reports are linked in the update.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2017-12-20 07:16:08 UTC
Hi Owen, should we apply the same styling as on the other toolbars like tools?
Comment 4 Katrin Fischer 2017-12-20 07:16:45 UTC
Created attachment 69947 [details] [review]
Bug 19664: Reports sidebar menu should match list of reports on reports home page

This patch makes the reports sidebar menu a little more consistent with
the reports home page menu by adding missing links to reports.

To test, observer the reports sidebar menu before and after the patch
and confirm that missing reports are linked in the update.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2017-12-20 16:46:24 UTC
Pushed to master for 18.05, thanks to everybody involved!